Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network72.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
72.0.0.0
Broadcast address
73.255.255.255
First usable
72.0.0.1
Last usable
73.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 48000000 · Integer 1207959552 to 1241513983
Reverse DNS zones
72.in-addr.arpa
73.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001000.00000000.00000000.0000000072.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network01001000.00000000.00000000.0000000072.0.0.0
Broadcast01001001.11111111.11111111.1111111173.255.255.255
Split into smaller subnets/19

72.0.0.0/7 makes 4,096 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
172.0.0.0/1972.0.0.1 to 72.0.31.25472.0.31.2558,190
272.0.32.0/1972.0.32.1 to 72.0.63.25472.0.63.2558,190
372.0.64.0/1972.0.64.1 to 72.0.95.25472.0.95.2558,190
472.0.96.0/1972.0.96.1 to 72.0.127.25472.0.127.2558,190
572.0.128.0/1972.0.128.1 to 72.0.159.25472.0.159.2558,190
672.0.160.0/1972.0.160.1 to 72.0.191.25472.0.191.2558,190
772.0.192.0/1972.0.192.1 to 72.0.223.25472.0.223.2558,190
872.0.224.0/1972.0.224.1 to 72.0.255.25472.0.255.2558,190
972.1.0.0/1972.1.0.1 to 72.1.31.25472.1.31.2558,190
1072.1.32.0/1972.1.32.1 to 72.1.63.25472.1.63.2558,190
1172.1.64.0/1972.1.64.1 to 72.1.95.25472.1.95.2558,190
1272.1.96.0/1972.1.96.1 to 72.1.127.25472.1.127.2558,190
1372.1.128.0/1972.1.128.1 to 72.1.159.25472.1.159.2558,190
1472.1.160.0/1972.1.160.1 to 72.1.191.25472.1.191.2558,190
1572.1.192.0/1972.1.192.1 to 72.1.223.25472.1.223.2558,190
1672.1.224.0/1972.1.224.1 to 72.1.255.25472.1.255.2558,190
1772.2.0.0/1972.2.0.1 to 72.2.31.25472.2.31.2558,190
1872.2.32.0/1972.2.32.1 to 72.2.63.25472.2.63.2558,190
1972.2.64.0/1972.2.64.1 to 72.2.95.25472.2.95.2558,190
2072.2.96.0/1972.2.96.1 to 72.2.127.25472.2.127.2558,190
2172.2.128.0/1972.2.128.1 to 72.2.159.25472.2.159.2558,190
2272.2.160.0/1972.2.160.1 to 72.2.191.25472.2.191.2558,190
2372.2.192.0/1972.2.192.1 to 72.2.223.25472.2.223.2558,190
2472.2.224.0/1972.2.224.1 to 72.2.255.25472.2.255.2558,190
2572.3.0.0/1972.3.0.1 to 72.3.31.25472.3.31.2558,190
2672.3.32.0/1972.3.32.1 to 72.3.63.25472.3.63.2558,190
2772.3.64.0/1972.3.64.1 to 72.3.95.25472.3.95.2558,190
2872.3.96.0/1972.3.96.1 to 72.3.127.25472.3.127.2558,190
2972.3.128.0/1972.3.128.1 to 72.3.159.25472.3.159.2558,190
3072.3.160.0/1972.3.160.1 to 72.3.191.25472.3.191.2558,190
3172.3.192.0/1972.3.192.1 to 72.3.223.25472.3.223.2558,190
3272.3.224.0/1972.3.224.1 to 72.3.255.25472.3.255.2558,190
3372.4.0.0/1972.4.0.1 to 72.4.31.25472.4.31.2558,190
3472.4.32.0/1972.4.32.1 to 72.4.63.25472.4.63.2558,190
3572.4.64.0/1972.4.64.1 to 72.4.95.25472.4.95.2558,190
3672.4.96.0/1972.4.96.1 to 72.4.127.25472.4.127.2558,190
3772.4.128.0/1972.4.128.1 to 72.4.159.25472.4.159.2558,190
3872.4.160.0/1972.4.160.1 to 72.4.191.25472.4.191.2558,190
3972.4.192.0/1972.4.192.1 to 72.4.223.25472.4.223.2558,190
4072.4.224.0/1972.4.224.1 to 72.4.255.25472.4.255.2558,190
4172.5.0.0/1972.5.0.1 to 72.5.31.25472.5.31.2558,190
4272.5.32.0/1972.5.32.1 to 72.5.63.25472.5.63.2558,190
4372.5.64.0/1972.5.64.1 to 72.5.95.25472.5.95.2558,190
4472.5.96.0/1972.5.96.1 to 72.5.127.25472.5.127.2558,190
4572.5.128.0/1972.5.128.1 to 72.5.159.25472.5.159.2558,190
4672.5.160.0/1972.5.160.1 to 72.5.191.25472.5.191.2558,190
4772.5.192.0/1972.5.192.1 to 72.5.223.25472.5.223.2558,190
4872.5.224.0/1972.5.224.1 to 72.5.255.25472.5.255.2558,190
4972.6.0.0/1972.6.0.1 to 72.6.31.25472.6.31.2558,190
5072.6.32.0/1972.6.32.1 to 72.6.63.25472.6.63.2558,190
5172.6.64.0/1972.6.64.1 to 72.6.95.25472.6.95.2558,190
5272.6.96.0/1972.6.96.1 to 72.6.127.25472.6.127.2558,190
5372.6.128.0/1972.6.128.1 to 72.6.159.25472.6.159.2558,190
5472.6.160.0/1972.6.160.1 to 72.6.191.25472.6.191.2558,190
5572.6.192.0/1972.6.192.1 to 72.6.223.25472.6.223.2558,190
5672.6.224.0/1972.6.224.1 to 72.6.255.25472.6.255.2558,190
5772.7.0.0/1972.7.0.1 to 72.7.31.25472.7.31.2558,190
5872.7.32.0/1972.7.32.1 to 72.7.63.25472.7.63.2558,190
5972.7.64.0/1972.7.64.1 to 72.7.95.25472.7.95.2558,190
6072.7.96.0/1972.7.96.1 to 72.7.127.25472.7.127.2558,190
6172.7.128.0/1972.7.128.1 to 72.7.159.25472.7.159.2558,190
6272.7.160.0/1972.7.160.1 to 72.7.191.25472.7.191.2558,190
6372.7.192.0/1972.7.192.1 to 72.7.223.25472.7.223.2558,190
6472.7.224.0/1972.7.224.1 to 72.7.255.25472.7.255.2558,190
6572.8.0.0/1972.8.0.1 to 72.8.31.25472.8.31.2558,190
6672.8.32.0/1972.8.32.1 to 72.8.63.25472.8.63.2558,190
6772.8.64.0/1972.8.64.1 to 72.8.95.25472.8.95.2558,190
6872.8.96.0/1972.8.96.1 to 72.8.127.25472.8.127.2558,190
6972.8.128.0/1972.8.128.1 to 72.8.159.25472.8.159.2558,190
7072.8.160.0/1972.8.160.1 to 72.8.191.25472.8.191.2558,190
7172.8.192.0/1972.8.192.1 to 72.8.223.25472.8.223.2558,190
7272.8.224.0/1972.8.224.1 to 72.8.255.25472.8.255.2558,190
7372.9.0.0/1972.9.0.1 to 72.9.31.25472.9.31.2558,190
7472.9.32.0/1972.9.32.1 to 72.9.63.25472.9.63.2558,190
7572.9.64.0/1972.9.64.1 to 72.9.95.25472.9.95.2558,190
7672.9.96.0/1972.9.96.1 to 72.9.127.25472.9.127.2558,190
7772.9.128.0/1972.9.128.1 to 72.9.159.25472.9.159.2558,190
7872.9.160.0/1972.9.160.1 to 72.9.191.25472.9.191.2558,190
7972.9.192.0/1972.9.192.1 to 72.9.223.25472.9.223.2558,190
8072.9.224.0/1972.9.224.1 to 72.9.255.25472.9.255.2558,190
8172.10.0.0/1972.10.0.1 to 72.10.31.25472.10.31.2558,190
8272.10.32.0/1972.10.32.1 to 72.10.63.25472.10.63.2558,190
8372.10.64.0/1972.10.64.1 to 72.10.95.25472.10.95.2558,190
8472.10.96.0/1972.10.96.1 to 72.10.127.25472.10.127.2558,190
8572.10.128.0/1972.10.128.1 to 72.10.159.25472.10.159.2558,190
8672.10.160.0/1972.10.160.1 to 72.10.191.25472.10.191.2558,190
8772.10.192.0/1972.10.192.1 to 72.10.223.25472.10.223.2558,190
8872.10.224.0/1972.10.224.1 to 72.10.255.25472.10.255.2558,190
8972.11.0.0/1972.11.0.1 to 72.11.31.25472.11.31.2558,190
9072.11.32.0/1972.11.32.1 to 72.11.63.25472.11.63.2558,190
9172.11.64.0/1972.11.64.1 to 72.11.95.25472.11.95.2558,190
9272.11.96.0/1972.11.96.1 to 72.11.127.25472.11.127.2558,190
9372.11.128.0/1972.11.128.1 to 72.11.159.25472.11.159.2558,190
9472.11.160.0/1972.11.160.1 to 72.11.191.25472.11.191.2558,190
9572.11.192.0/1972.11.192.1 to 72.11.223.25472.11.223.2558,190
9672.11.224.0/1972.11.224.1 to 72.11.255.25472.11.255.2558,190
9772.12.0.0/1972.12.0.1 to 72.12.31.25472.12.31.2558,190
9872.12.32.0/1972.12.32.1 to 72.12.63.25472.12.63.2558,190
9972.12.64.0/1972.12.64.1 to 72.12.95.25472.12.95.2558,190
10072.12.96.0/1972.12.96.1 to 72.12.127.25472.12.127.2558,190
10172.12.128.0/1972.12.128.1 to 72.12.159.25472.12.159.2558,190
10272.12.160.0/1972.12.160.1 to 72.12.191.25472.12.191.2558,190
10372.12.192.0/1972.12.192.1 to 72.12.223.25472.12.223.2558,190
10472.12.224.0/1972.12.224.1 to 72.12.255.25472.12.255.2558,190
10572.13.0.0/1972.13.0.1 to 72.13.31.25472.13.31.2558,190
10672.13.32.0/1972.13.32.1 to 72.13.63.25472.13.63.2558,190
10772.13.64.0/1972.13.64.1 to 72.13.95.25472.13.95.2558,190
10872.13.96.0/1972.13.96.1 to 72.13.127.25472.13.127.2558,190
10972.13.128.0/1972.13.128.1 to 72.13.159.25472.13.159.2558,190
11072.13.160.0/1972.13.160.1 to 72.13.191.25472.13.191.2558,190
11172.13.192.0/1972.13.192.1 to 72.13.223.25472.13.223.2558,190
11272.13.224.0/1972.13.224.1 to 72.13.255.25472.13.255.2558,190
11372.14.0.0/1972.14.0.1 to 72.14.31.25472.14.31.2558,190
11472.14.32.0/1972.14.32.1 to 72.14.63.25472.14.63.2558,190
11572.14.64.0/1972.14.64.1 to 72.14.95.25472.14.95.2558,190
11672.14.96.0/1972.14.96.1 to 72.14.127.25472.14.127.2558,190
11772.14.128.0/1972.14.128.1 to 72.14.159.25472.14.159.2558,190
11872.14.160.0/1972.14.160.1 to 72.14.191.25472.14.191.2558,190
11972.14.192.0/1972.14.192.1 to 72.14.223.25472.14.223.2558,190
12072.14.224.0/1972.14.224.1 to 72.14.255.25472.14.255.2558,190
12172.15.0.0/1972.15.0.1 to 72.15.31.25472.15.31.2558,190
12272.15.32.0/1972.15.32.1 to 72.15.63.25472.15.63.2558,190
12372.15.64.0/1972.15.64.1 to 72.15.95.25472.15.95.2558,190
12472.15.96.0/1972.15.96.1 to 72.15.127.25472.15.127.2558,190
12572.15.128.0/1972.15.128.1 to 72.15.159.25472.15.159.2558,190
12672.15.160.0/1972.15.160.1 to 72.15.191.25472.15.191.2558,190
12772.15.192.0/1972.15.192.1 to 72.15.223.25472.15.223.2558,190
12872.15.224.0/1972.15.224.1 to 72.15.255.25472.15.255.2558,190
12972.16.0.0/1972.16.0.1 to 72.16.31.25472.16.31.2558,190
13072.16.32.0/1972.16.32.1 to 72.16.63.25472.16.63.2558,190
13172.16.64.0/1972.16.64.1 to 72.16.95.25472.16.95.2558,190
13272.16.96.0/1972.16.96.1 to 72.16.127.25472.16.127.2558,190
13372.16.128.0/1972.16.128.1 to 72.16.159.25472.16.159.2558,190
13472.16.160.0/1972.16.160.1 to 72.16.191.25472.16.191.2558,190
13572.16.192.0/1972.16.192.1 to 72.16.223.25472.16.223.2558,190
13672.16.224.0/1972.16.224.1 to 72.16.255.25472.16.255.2558,190
13772.17.0.0/1972.17.0.1 to 72.17.31.25472.17.31.2558,190
13872.17.32.0/1972.17.32.1 to 72.17.63.25472.17.63.2558,190
13972.17.64.0/1972.17.64.1 to 72.17.95.25472.17.95.2558,190
14072.17.96.0/1972.17.96.1 to 72.17.127.25472.17.127.2558,190
14172.17.128.0/1972.17.128.1 to 72.17.159.25472.17.159.2558,190
14272.17.160.0/1972.17.160.1 to 72.17.191.25472.17.191.2558,190
14372.17.192.0/1972.17.192.1 to 72.17.223.25472.17.223.2558,190
14472.17.224.0/1972.17.224.1 to 72.17.255.25472.17.255.2558,190
14572.18.0.0/1972.18.0.1 to 72.18.31.25472.18.31.2558,190
14672.18.32.0/1972.18.32.1 to 72.18.63.25472.18.63.2558,190
14772.18.64.0/1972.18.64.1 to 72.18.95.25472.18.95.2558,190
14872.18.96.0/1972.18.96.1 to 72.18.127.25472.18.127.2558,190
14972.18.128.0/1972.18.128.1 to 72.18.159.25472.18.159.2558,190
15072.18.160.0/1972.18.160.1 to 72.18.191.25472.18.191.2558,190
15172.18.192.0/1972.18.192.1 to 72.18.223.25472.18.223.2558,190
15272.18.224.0/1972.18.224.1 to 72.18.255.25472.18.255.2558,190
15372.19.0.0/1972.19.0.1 to 72.19.31.25472.19.31.2558,190
15472.19.32.0/1972.19.32.1 to 72.19.63.25472.19.63.2558,190
15572.19.64.0/1972.19.64.1 to 72.19.95.25472.19.95.2558,190
15672.19.96.0/1972.19.96.1 to 72.19.127.25472.19.127.2558,190
15772.19.128.0/1972.19.128.1 to 72.19.159.25472.19.159.2558,190
15872.19.160.0/1972.19.160.1 to 72.19.191.25472.19.191.2558,190
15972.19.192.0/1972.19.192.1 to 72.19.223.25472.19.223.2558,190
16072.19.224.0/1972.19.224.1 to 72.19.255.25472.19.255.2558,190
16172.20.0.0/1972.20.0.1 to 72.20.31.25472.20.31.2558,190
16272.20.32.0/1972.20.32.1 to 72.20.63.25472.20.63.2558,190
16372.20.64.0/1972.20.64.1 to 72.20.95.25472.20.95.2558,190
16472.20.96.0/1972.20.96.1 to 72.20.127.25472.20.127.2558,190
16572.20.128.0/1972.20.128.1 to 72.20.159.25472.20.159.2558,190
16672.20.160.0/1972.20.160.1 to 72.20.191.25472.20.191.2558,190
16772.20.192.0/1972.20.192.1 to 72.20.223.25472.20.223.2558,190
16872.20.224.0/1972.20.224.1 to 72.20.255.25472.20.255.2558,190
16972.21.0.0/1972.21.0.1 to 72.21.31.25472.21.31.2558,190
17072.21.32.0/1972.21.32.1 to 72.21.63.25472.21.63.2558,190
17172.21.64.0/1972.21.64.1 to 72.21.95.25472.21.95.2558,190
17272.21.96.0/1972.21.96.1 to 72.21.127.25472.21.127.2558,190
17372.21.128.0/1972.21.128.1 to 72.21.159.25472.21.159.2558,190
17472.21.160.0/1972.21.160.1 to 72.21.191.25472.21.191.2558,190
17572.21.192.0/1972.21.192.1 to 72.21.223.25472.21.223.2558,190
17672.21.224.0/1972.21.224.1 to 72.21.255.25472.21.255.2558,190
17772.22.0.0/1972.22.0.1 to 72.22.31.25472.22.31.2558,190
17872.22.32.0/1972.22.32.1 to 72.22.63.25472.22.63.2558,190
17972.22.64.0/1972.22.64.1 to 72.22.95.25472.22.95.2558,190
18072.22.96.0/1972.22.96.1 to 72.22.127.25472.22.127.2558,190
18172.22.128.0/1972.22.128.1 to 72.22.159.25472.22.159.2558,190
18272.22.160.0/1972.22.160.1 to 72.22.191.25472.22.191.2558,190
18372.22.192.0/1972.22.192.1 to 72.22.223.25472.22.223.2558,190
18472.22.224.0/1972.22.224.1 to 72.22.255.25472.22.255.2558,190
18572.23.0.0/1972.23.0.1 to 72.23.31.25472.23.31.2558,190
18672.23.32.0/1972.23.32.1 to 72.23.63.25472.23.63.2558,190
18772.23.64.0/1972.23.64.1 to 72.23.95.25472.23.95.2558,190
18872.23.96.0/1972.23.96.1 to 72.23.127.25472.23.127.2558,190
18972.23.128.0/1972.23.128.1 to 72.23.159.25472.23.159.2558,190
19072.23.160.0/1972.23.160.1 to 72.23.191.25472.23.191.2558,190
19172.23.192.0/1972.23.192.1 to 72.23.223.25472.23.223.2558,190
19272.23.224.0/1972.23.224.1 to 72.23.255.25472.23.255.2558,190
19372.24.0.0/1972.24.0.1 to 72.24.31.25472.24.31.2558,190
19472.24.32.0/1972.24.32.1 to 72.24.63.25472.24.63.2558,190
19572.24.64.0/1972.24.64.1 to 72.24.95.25472.24.95.2558,190
19672.24.96.0/1972.24.96.1 to 72.24.127.25472.24.127.2558,190
19772.24.128.0/1972.24.128.1 to 72.24.159.25472.24.159.2558,190
19872.24.160.0/1972.24.160.1 to 72.24.191.25472.24.191.2558,190
19972.24.192.0/1972.24.192.1 to 72.24.223.25472.24.223.2558,190
20072.24.224.0/1972.24.224.1 to 72.24.255.25472.24.255.2558,190
20172.25.0.0/1972.25.0.1 to 72.25.31.25472.25.31.2558,190
20272.25.32.0/1972.25.32.1 to 72.25.63.25472.25.63.2558,190
20372.25.64.0/1972.25.64.1 to 72.25.95.25472.25.95.2558,190
20472.25.96.0/1972.25.96.1 to 72.25.127.25472.25.127.2558,190
20572.25.128.0/1972.25.128.1 to 72.25.159.25472.25.159.2558,190
20672.25.160.0/1972.25.160.1 to 72.25.191.25472.25.191.2558,190
20772.25.192.0/1972.25.192.1 to 72.25.223.25472.25.223.2558,190
20872.25.224.0/1972.25.224.1 to 72.25.255.25472.25.255.2558,190
20972.26.0.0/1972.26.0.1 to 72.26.31.25472.26.31.2558,190
21072.26.32.0/1972.26.32.1 to 72.26.63.25472.26.63.2558,190
21172.26.64.0/1972.26.64.1 to 72.26.95.25472.26.95.2558,190
21272.26.96.0/1972.26.96.1 to 72.26.127.25472.26.127.2558,190
21372.26.128.0/1972.26.128.1 to 72.26.159.25472.26.159.2558,190
21472.26.160.0/1972.26.160.1 to 72.26.191.25472.26.191.2558,190
21572.26.192.0/1972.26.192.1 to 72.26.223.25472.26.223.2558,190
21672.26.224.0/1972.26.224.1 to 72.26.255.25472.26.255.2558,190
21772.27.0.0/1972.27.0.1 to 72.27.31.25472.27.31.2558,190
21872.27.32.0/1972.27.32.1 to 72.27.63.25472.27.63.2558,190
21972.27.64.0/1972.27.64.1 to 72.27.95.25472.27.95.2558,190
22072.27.96.0/1972.27.96.1 to 72.27.127.25472.27.127.2558,190
22172.27.128.0/1972.27.128.1 to 72.27.159.25472.27.159.2558,190
22272.27.160.0/1972.27.160.1 to 72.27.191.25472.27.191.2558,190
22372.27.192.0/1972.27.192.1 to 72.27.223.25472.27.223.2558,190
22472.27.224.0/1972.27.224.1 to 72.27.255.25472.27.255.2558,190
22572.28.0.0/1972.28.0.1 to 72.28.31.25472.28.31.2558,190
22672.28.32.0/1972.28.32.1 to 72.28.63.25472.28.63.2558,190
22772.28.64.0/1972.28.64.1 to 72.28.95.25472.28.95.2558,190
22872.28.96.0/1972.28.96.1 to 72.28.127.25472.28.127.2558,190
22972.28.128.0/1972.28.128.1 to 72.28.159.25472.28.159.2558,190
23072.28.160.0/1972.28.160.1 to 72.28.191.25472.28.191.2558,190
23172.28.192.0/1972.28.192.1 to 72.28.223.25472.28.223.2558,190
23272.28.224.0/1972.28.224.1 to 72.28.255.25472.28.255.2558,190
23372.29.0.0/1972.29.0.1 to 72.29.31.25472.29.31.2558,190
23472.29.32.0/1972.29.32.1 to 72.29.63.25472.29.63.2558,190
23572.29.64.0/1972.29.64.1 to 72.29.95.25472.29.95.2558,190
23672.29.96.0/1972.29.96.1 to 72.29.127.25472.29.127.2558,190
23772.29.128.0/1972.29.128.1 to 72.29.159.25472.29.159.2558,190
23872.29.160.0/1972.29.160.1 to 72.29.191.25472.29.191.2558,190
23972.29.192.0/1972.29.192.1 to 72.29.223.25472.29.223.2558,190
24072.29.224.0/1972.29.224.1 to 72.29.255.25472.29.255.2558,190
24172.30.0.0/1972.30.0.1 to 72.30.31.25472.30.31.2558,190
24272.30.32.0/1972.30.32.1 to 72.30.63.25472.30.63.2558,190
24372.30.64.0/1972.30.64.1 to 72.30.95.25472.30.95.2558,190
24472.30.96.0/1972.30.96.1 to 72.30.127.25472.30.127.2558,190
24572.30.128.0/1972.30.128.1 to 72.30.159.25472.30.159.2558,190
24672.30.160.0/1972.30.160.1 to 72.30.191.25472.30.191.2558,190
24772.30.192.0/1972.30.192.1 to 72.30.223.25472.30.223.2558,190
24872.30.224.0/1972.30.224.1 to 72.30.255.25472.30.255.2558,190
24972.31.0.0/1972.31.0.1 to 72.31.31.25472.31.31.2558,190
25072.31.32.0/1972.31.32.1 to 72.31.63.25472.31.63.2558,190
25172.31.64.0/1972.31.64.1 to 72.31.95.25472.31.95.2558,190
25272.31.96.0/1972.31.96.1 to 72.31.127.25472.31.127.2558,190
25372.31.128.0/1972.31.128.1 to 72.31.159.25472.31.159.2558,190
25472.31.160.0/1972.31.160.1 to 72.31.191.25472.31.191.2558,190
25572.31.192.0/1972.31.192.1 to 72.31.223.25472.31.223.2558,190
25672.31.224.0/1972.31.224.1 to 72.31.255.25472.31.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses